/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Group;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class AddGroupAction extends AbstractAction
{
	AddGroupAction(ConnectionManager cm)
	{
		super(cm, "addGroup", "Adds a new group. Syntax:\n" +
			"  addGroup <parentGroupPath> <newGroupName>\n" +
			"Separate the parent group path elements with '/'. Example:\n" +
			"  addGroup /parentGroup newGroup", 2);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Group parentG = new Group(args[1]);
		Group newG = cm.voMan.addGroup(parentG, args[2]);
		System.out.println("Added group: " + 
				newG);
		return true;
	}
}