/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class AddNotificationAction extends AbstractAction
{
	AddNotificationAction(ConnectionManager cm)
	{
		super(cm, "addNotification", "Adds a new notification definition for the given action." +
			" Optionally you can register it only in the context of a group\n" +
			"Syntax:\n" +
			"   addNotification <action> <recipents> [groupFilter]\n" +
			"Example:\n" +
			"   addNotification addGroup receiver@example.com /Math-VO", 2);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		cm.voMan.addNotification(args[1], args[2], 
			args.length > 3 ? args[3] : null);
		System.out.println("Notification about action " + 
			args[1] + " will be sent to " + args[2]);
		return true;
	}
}