/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class AreEquivalentAction extends AbstractAction
{
	AreEquivalentAction(ConnectionManager cm)
	{
		super(cm, "areEquivalent", "Checks if two given identities are equivalent.\n" +
			"Syntax:\n" +
			"   areEquivalent <dn|x509|email> <identity1> " +
			"<dn|x509|email> <identity2>\n" + 
			"Example:\n" +
			"  areEquivalent email ann@example.com " +
			"email ann@example.org\n", 4);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity i = getIdentity(args[1], args[2], null);
		if (i == null)
			return true;
		Identity i2 = getIdentity(args[3], args[4], null);
		if (i2 == null)
			return true;
		
		Boolean is;
		if (cm.qTime == null)
			is = cm.voQuery.areEquivalent(i, i2);
		else
			is = cm.voQueryHistory.areEquivalent(i, i2, cm.qTime);
		
		System.out.println(i + " is equivalnet to " + i2 + "? " + 
				is.toString().toUpperCase() + "\n");
		return true;
	}
}