/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Apr 6, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

/**
 * Basic command line client for UVOS.
 * 
 * @author K. Benedyczak
 */
public class CLClient
{
	private static final int CONFIG_ERROR_CODE = 10;
	private static final int COMMUNICATION_ERROR_CODE = 11;
	private static final int SYNTAX_ERROR_CODE = 12;

	public static void main(String[] args)
	{
		try
		{
			CLCExecutor clc = new CLCExecutor();
			if (!clc.processCommandLineAgrs(args))
			{
				System.exit(SYNTAX_ERROR_CODE);
				return;
			}
			clc.readConfig();
			clc.init();
			if (clc.isInteractive())
				clc.commandLoop();
			else
				clc.parseLine(clc.getParsedLine());
		} catch (UVOSException e)
		{
			e.printStackTrace();
			System.exit(COMMUNICATION_ERROR_CODE);
		} catch (Exception e)
		{
			e.printStackTrace();
			System.exit(CONFIG_ERROR_CODE);
		}
	}
}
