/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class ChangePasswdAction extends AbstractAction
{
	ChangePasswdAction(ConnectionManager cm)
	{
		super(cm, "changePasswd", 
			"Changes the given identity password (or deletes it).\n" +
			"Syntax:\n" +
			"   changePasswd email <identity> [newPasswd]\n" +
			"If new password is not given then the password is removed." +
			"Note that it is technically possible to set also password " +
			"for other types of identity but it makes no sense." +
			"Example:\n" +
			"   changePasswd email ann@example.com SecreT\n", 2);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity i = getIdentity(args[1], args[2], null);
		if (i == null)
			return true;
		String passwd = null;
		if (args.length > 3)
			passwd = args[3];
		cm.voAuthz.modifyAuthenticationData(i, passwd);
		System.out.println("Password changed.");
		return true;
	}
}