/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.ArrayList;

import pl.edu.icm.unicore.uvos.api.AttributeType;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class DeleteATypeAction extends AbstractAction
{
	DeleteATypeAction(ConnectionManager cm)
	{
		super(cm, "removeAType", 
			"Deletes an existing attribute type, if it is unused " +
			"(must be also unused in history!)\n" +
			"Syntax:\n" +
			"   removeAType <name>\n" +
			"Example:\n" +
			"   removeAType urn:someTypeTo:Remove", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		AttributeType at = new AttributeType(args[1]);
		ArrayList<AttributeType> l = new ArrayList<AttributeType>();
		l.add(at);
		cm.voMan.updateAttributeTypes(l, true);
		return true;
	}
}