/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class GetAllIdentitiesAction extends AbstractAction
{
	GetAllIdentitiesAction(ConnectionManager cm)
	{
		super(cm, "getAllIdentities", 
			"Retrieves a list of all identities\n" +
			"Syntax:\n" +
			"   getAllIdentities\n"); 
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		List<Identity> list;
		if (cm.qTime == null)
			list = cm.voQuery.getAllIdentities();
		else
			list = cm.voQueryHistory.getAllIdentities(cm.qTime);
		System.out.println("There are the following identities available:");
		for (Identity i: list)
			System.out.println("  " + i);
		return true;
	}
}