/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.VOApplication;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class GetApplicationAction extends AbstractAction
{
	GetApplicationAction(ConnectionManager cm)
	{
		super(cm, "getApplication", 
			"Get an ID of an application submited by a given identity. " +
			"Prints -1 when no application is found. Warning - note that more " +
			"than one application may be submited by a single identity.\n" +
			"Syntax:\n" +
			"   getApplication <dn|x509|email> <identity>", 2);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity id = getIdentity(args[1], args[2], null);
		List<VOApplication> appsList = 
				cm.voApps.getApplications(null, null);
		int appId = -1;
		for (VOApplication app: appsList)
		{
			if (app.getIdentity().equals(id))
			{
				appId = app.getId();
				System.out.println(appId);
			}
		}
		if (appId == -1)
			System.out.println(appId);
		return true;
	}
}