/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.VOApplicationForm;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class GetApplicationFormsAction extends AbstractAction
{
	GetApplicationFormsAction(ConnectionManager cm)
	{
		super(cm, "getApplicationForms", 
			"Lists available application forms.\n" +
			"Syntax:\n" +
			"   getApplicationForms");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		List<VOApplicationForm> ret = cm.voApps.getApplicationForms();

		for (VOApplicationForm f: ret)
			System.out.println(f + "\n");
		return true;
	}
}