/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.Element;
import pl.edu.icm.unicore.uvos.api.Group;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class GetGroupContentAction extends AbstractAction
{
	GetGroupContentAction(ConnectionManager cm)
	{
		super(cm, "getContent", "Returns the content (subgroups and identities) of " +
			"the given group.\n" +
			"Syntax:\n" +
			"   getContent <groupPath>\n" + 
			"Example:\n" +
			"  getContent /group\n", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Group g = new Group(args[1]);
		
		List<Element> c;
		if (cm.qTime == null)
			c = cm.voQuery.getGroupContent(g);
		else
			c = cm.voQueryHistory.getGroupContent(g, cm.qTime);
		System.out.println("Group " + g + " content:");
		for (Element e: c)
			System.out.println("|-- " + e);
		return true;
	}
}