/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class GetMyIdentitiesAction extends AbstractAction
{
	GetMyIdentitiesAction(ConnectionManager cm)
	{
		super(cm, "getMyIds", 
			"Lists all identities of the current user\n" +
			"Syntax:\n" +
			"   getMyIds\n");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		System.out.println("All identites of the current user are:");
		List<Identity> res = cm.voAuthz.getMyIdentities();
		for (Identity id: res)
			System.out.println(id);
		return true;
	}
}