/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Group;
import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class IsMemeberAction extends AbstractAction
{
	IsMemeberAction(ConnectionManager cm)
	{
		super(cm, "isMember", "Checks if the given identity is a member of the " +
			"given group.\n" +
			"Syntax:\n" +
			"   isMember <dn|x509|email> <identity> <groupPath>\n" + 
			"Example:\n" +
			"  isMember email ann@example.com /group\n", 3);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity i = getIdentity(args[1], args[2], null);
		if (i == null)
			return true;
		Group g = new Group(args[3]);
		
		boolean is;
		boolean is2;
		if (cm.qTime == null)
		{
			is = cm.voQuery.isMember(i, g, true);
			is2 = cm.voQuery.isMember(i, g, false);
		} else
		{
			is = cm.voQueryHistory.isMember(i, g, true, cm.qTime);
			is2 = cm.voQueryHistory.isMember(i, g, false, cm.qTime);
		}
		
		System.out.println("Is " + i + " exactely in group " 
				+ g + "? " + is2 + "\n");
		System.out.println("Is " + i + " effectively in group " 
				+ g + "? " + is + "\n");
		return true;
	}
}