/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.AttributeType;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class ListATypesAction extends AbstractAction
{
	ListATypesAction(ConnectionManager cm)
	{
		super(cm, "getATypes", "Lists all known attribute types. Syntax:\n" +
			"  getATypes", 0, "listATypes");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		List<AttributeType> types = cm.voMan.getAttributeTypes();
		System.out.println("Available attribute types are:");
		for (AttributeType at: types)
			System.out.println("*) " + at.toPrettyString() + 
				"\n");
		return true;
	}
}