/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.ApplicationStatus;
import pl.edu.icm.unicore.uvos.api.VOApplication;
import pl.edu.icm.unicore.uvos.api.exceptions.InternalException;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class ListApplicationsAction extends AbstractAction
{
	ListApplicationsAction(ConnectionManager cm)
	{
		super(cm, "getApplications", 
			"Lists application actions. Arguments filter the resopnse. " +
				"Negative formId means any formId.\n" +
			"Syntax:\n" +
			"   getApplications [formId] [status]", 0, "listApplications");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Integer formId = null;
		ApplicationStatus status = null;
		if (args.length > 1)
			try
			{
				formId = Integer.parseInt(args[1]);
			} catch (NumberFormatException e)
			{
				throw new InternalException(args[1] + 
					" is not an integer.");
			}
		try
		{	
			if (args.length > 2)
				status = ApplicationStatus.valueOf(args[2]);
		} catch (IllegalArgumentException e)
		{
			throw new InternalException(args[2] + 
				" is invalid.");
		}

		List<VOApplication> appsList = 
				cm.voApps.getApplications(formId, status);
		System.out.println("Received the following VO applications:");
		for (VOApplication app: appsList)
			System.out.println(app + "\n");
					
		return true;
	}
}