/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.IdentityType;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class ListITypesAction extends AbstractAction
{
	ListITypesAction(ConnectionManager cm)
	{
		super(cm, "getITypes", "Lists all known identity types. Syntax:\n" +
			"  getITypes", 
			0, "listITypes");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		List<IdentityType> types = cm.voMan.getIdentityTypes();
		System.out.println("Available identity types are:");
		for (IdentityType it: types)
			System.out.println("  " + it);
		return true;
	}
}