/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.Notification;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class ListNotificationsAction extends AbstractAction
{
	ListNotificationsAction(ConnectionManager cm)
	{
		super(cm, "getNotifications", "Lists notifications." +
			" Optionally you can query for notifications of a particular action.\n" +
			"Syntax:\n" +
			"   getNotifications [action] [groupFilter]\n" +
			"Example:\n" +
			"   getNotifications addGroup /Math-VO", 0, "listNotifications");
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		String act = args.length > 1 ? args[1] : null;
		String grp = args.length > 2 ? args[2] : null;
		List<Notification> list = cm.voMan.getNotifications(act, grp);
		System.out.println("Notifications:\n");
		for (Notification n: list)
			System.out.println(n);
		return true;
	}
}