/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.exceptions.InternalException;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class RemoveApplicationFormAction extends AbstractAction
{
	RemoveApplicationFormAction(ConnectionManager cm)
	{
		super(cm, "removeApplicationForm", 
			"Remove an application form.\n" +
			"Syntax:\n" +
			"   removeApplicationForm <id>", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		int id;
		try
		{
			id = Integer.parseInt(args[1]);
		} catch (NumberFormatException e)
		{
			throw new InternalException(args[1] + 
					" is not an integer.");
		}
		cm.voApps.removeApplicationForm(id);
		System.out.println("Removed application form with id " + id);
		return true;
	}
}