/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Group;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class RemoveGroupAction extends AbstractAction
{
	RemoveGroupAction(ConnectionManager cm)
	{
		super(cm, "removeGroup", "Removes a group. Syntax:\n" +
			"  removeGroup <groupPath> [true|false]\n" +
			"Separate the parent group path elements with '/'. " +
			"Optional 2nd argument specifies if the behaviour " +
			"should be recursive (defualt is false).\n" +
			"Example:\n" +
			"  removeGroup /g1/subg/groupToRemove true", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Group group = new Group(args[1]);
		boolean recursive = false;
		if (args.length > 2)
			recursive = Boolean.parseBoolean(args[2]);
		cm.voMan.removeGroup(group, recursive);
		System.out.println("Removed group: " + group);
		return true;
	}
}