/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class RemoveIdentityAction extends AbstractAction
{
	RemoveIdentityAction(ConnectionManager cm)
	{
		super(cm, "removeIdentity", "Removes a identity. Syntax:\n" +
			"  removeIdentity <dn|x509|email> <value>\n" +
			"The first argument is an identity type. Next is value, " +
			"which is a simple string in case of 'dn' or 'email' types and " +
			"a file name with " +
			"certificate in case of 'x509' type.\n" + 
			"Example:\n" +
			"  removeIdentity email test@example.com\n", 2);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity i = getIdentity(args[1], args[2], null);
		if (i == null)
			return true;
		
		cm.voMan.removeIdentity(i);
		System.out.println("Removed identity: " + i);
		return true;
	}
}