/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class RemoveNotificationAction extends AbstractAction
{
	RemoveNotificationAction(ConnectionManager cm)
	{
		super(cm, "removeNotification", "Removes an existing notification.\n" +
			"Syntax:\n" +
			"   removeNotification <id>\n" +
			"Example:\n" +
			"   removeNotification 3", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		cm.voMan.removeNotification(Integer.parseInt(args[1]));
		System.out.println("Notification no " + 
			args[1] + " was removed.");
		return true;
	}
}