/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class SetLabelAction extends AbstractAction
{
	SetLabelAction(ConnectionManager cm)
	{
		super(cm, "changeLabel", "Changes unique name of identity, which is common " +
			"for all equivalent identities. Syntax:\n" +
			"  changeLabel <dn|x509|email> <identity> <newLabel>\n" +
			"Example:\n" +
			"  changeLabel email ann@example.com Ann\n", 3);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		Identity id = getIdentity(args[1], args[2], null);
		if (id == null)
			return true;
		cm.voMan.setIdentityLabel(id, args[3]);
		System.out.println("Changed identity " + id + "label to: " + args[3]);
		return true;
	}
}