/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.io.File;

import pl.edu.icm.unicore.uvos.api.VOApplication;
import pl.edu.icm.unicore.uvos.api.exceptions.InternalException;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;
import pl.edu.icm.unicore.uvos.wsapi.xmlbeans.XMLBeansMapper;
import xmlbeans.pl.edu.icm.uvos.internal.app.VOApplicationDocument;

class SubmitApplicationAction extends AbstractAction
{
	SubmitApplicationAction(ConnectionManager cm)
	{
		super(cm, "submitApplication", "Submits a new application. It is " +
			"read form XML file.\n" +
			"Syntax:\n" +
			"   submitApplication <fileWithDefinition>\n" +
			"Example:\n" +
			"   setApplicationForm app1.xml", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		VOApplicationDocument appDoc;
		try
		{
			appDoc = VOApplicationDocument.Factory.parse(new File(args[1]));
		} catch (Exception e)
		{
			throw new InternalException("Can't parse the file " + 
					args[2] + ": " + e);
		}
		VOApplication app = 
			XMLBeansMapper.map2APIVOApplication(appDoc);
		cm.voApps.submitApplication(app);
		System.out.println("Added a new application for identity: "
					+ app.getIdentity());
		return true;
	}
}