/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-01-25
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.clc;

import java.util.ArrayList;

import pl.edu.icm.unicore.uvos.api.AttributeType;
import pl.edu.icm.unicore.uvos.api.exceptions.UVOSException;

class UpdateATypeAction extends AbstractAction
{
	UpdateATypeAction(ConnectionManager cm)
	{
		super(cm, "updateAType",
			"Adds or updates existing attribute type\n" +
			"Syntax:\n" +
			"   updateAType <name> [shortDescription] [longDescription]\n" +
			"Example:\n" +
			"   updateAType urn:newType 'Dummy type' " +
			"'Dummy type used to express foo with bar values'", 1);
	}
	
	@Override
	public boolean invoke(String[] args) throws UVOSException
	{
		String d = args.length > 2 ? args[2] : null;
		String d2 = args.length > 3 ? args[3] : null;
		AttributeType at = new AttributeType(args[1], d, d2);
		ArrayList<AttributeType> l = new ArrayList<AttributeType>();
		l.add(at);
		cm.voMan.updateAttributeTypes(l, false);
		return true;
	}
}