/*
 * Copyright (c) 2009 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on 2010-02-08
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.client.util;

import java.io.FileNotFoundException;
import java.io.IOException;

import pl.edu.icm.unicore.uvos.util.Configuration;

public class ConfigLoader
{
	public static final String DEF_CONFIG = "conf/uvosClient.conf";
	public static final String CONFIG_LOC_ENV = "UVOSCLC_CONFIG";

	public static Configuration readConfig(String preferredConfig) 
		throws FileNotFoundException, IOException
	{
		String configFile = preferredConfig;
		if (configFile == null)
			configFile = System.getenv(CONFIG_LOC_ENV);
		if (configFile == null)
			configFile = DEF_CONFIG;
		return new Configuration(configFile);
	}
}
