/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Sep 27, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.wsclient.samlapi;

/**
 * Thrown when SAML response received has status other then OK, i.e. there is 
 * SAML domain error signaled by server side.
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class SAMLErrorResponseException extends Exception
{
	private String status, subStatus;
	
	public SAMLErrorResponseException(String msg, String status, String subStatus)
	{
		super(msg);
		this.status = status;
		this.subStatus = subStatus;
	}

	public String getStatus()
	{
		return status;
	}

	public String getSubStatus()
	{
		return subStatus;
	}
	
	public String toString()
	{
		String msg = "SAML domain error";
		if (getMessage() != null)
			msg += ": " + getMessage();
		if (status != null)
		{
			msg += " (status is: " + status;
			if (subStatus != null)
				msg += " substatus is: " + subStatus;
			msg += ")";
		}
		return msg;
	}
}
