/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Sep 24, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.wsclient.samlapi;

import java.security.PublicKey;

import org.apache.xmlbeans.XmlObject;


/**
 * @author K. Benedyczak
 */
public interface SAMLVOClientInterface
{
	/**
	 * Sets the client's policy on signatures of received messages. 
	 * @param requireSignedResp Require that SAML protocol respones must be signed
	 * @param requireSignedAssertion Require that SAML assertions must be signed
	 * @param publicKey Optional public key which will be used for signature verfication.
	 * If it isn't provided then the corresponding key must be included in the response.
	 */
	public void setDSigPolicy(boolean requireSignedResp, boolean requireSignedAssertion,
			PublicKey publicKey);
	
	/**
	 * Returns the last response received as XML.
	 * @return
	 */
	public XmlObject getLastResponse();
}