/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Sep 24, 2007
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.unicore.uvos.wsclient.samlapi;

import java.util.List;

import eu.unicore.samly2.exceptions.SAMLParseException;

import pl.edu.icm.unicore.uvos.api.Identity;
import pl.edu.icm.unicore.uvos.api.IdentityType;
import pl.edu.icm.unicore.uvos.wsapi.xmlbeans.UnsupportedSAMLException;

/**
 * @author K. Benedyczak
 */
public interface SAMLVOMapClientInterface extends SAMLVOClientInterface
{
	/**
	 * Maps the given identity to (one of) eqivalent identities of the specified type.
	 * @param toBeMapped identity to be mapped
	 * @param mappedTo identity type (format) which is requested
	 * @return identity of mappedTo type (if found)
	 * @throws InvocationException 
	 * @throws InvalidSignatureException 
	 * @throws SAMLParseException 
	 * @throws SAMLErrorResponseException 
	 * @throws UnsupportedSAMLException 
	 */
	public abstract Identity mapIdentity(Identity toBeMapped,
			IdentityType mappedTo) throws InvocationException, InvalidSignatureException, SAMLParseException, SAMLErrorResponseException, UnsupportedSAMLException;

	/**
	 * Retrieves the list of all equivalent identities to the given one.
	 * @param toBeMapped alternative names of this identity will be fetched.
	 * @return
	 * @throws UnsupportedSAMLException 
	 * @throws SAMLErrorResponseException 
	 * @throws SAMLParseException 
	 * @throws InvocationException 
	 * @throws InvalidSignatureException 
	 */
	public abstract List<Identity> mapIdentity(Identity toBeMapped) throws InvalidSignatureException, InvocationException, SAMLParseException, SAMLErrorResponseException, UnsupportedSAMLException;

}