#
#Installation Directory
#
dir=`dirname $0`
if [ "${dir#/}" = "${dir}" ]
then
  if [ "$dir" != "." ]
  then
    dir="$(pwd)/$dir"
  else
    dir="$(pwd)"
  fi
fi

INST="${dir%/bin}"


#
#Alternatively specify the installation dir here
#
#INST=

#
#Java command 
#
JAVA=java


if [ -z "$UVOSCLC_CONFIG" ]
then
	UVOSCLC_CONFIG="${INST}/conf/uvosClient.conf"
fi

cd "$INST"

#
# Options to the Java VM
#

#
# helper function to set an option if it is not already set
#
# arg1: option name (without leading "-", e.g "Ducc.extensions")
# arg2: option value (e.g. =conf/extensions)
#
Options=( )
set_option(){
        if [[ "$UCC_OPTS" != *$1* ]]
        then
#                echo "Setting -$1$2"
                N=${#Options[*]}
                Options[$N]="-$1$2"
#        else
#                echo "Ignoring default setting for $1 as user supplied one"
        fi
}


#
#Memory for the VM
#
set_option "Xmx" "128m"

#uncomment this one if you have ssl problems and need debug info
#set_option "Djavax.net.debug" "=ssl,handshake"

#
# log configuration
#
set_option "Dlog4j.configuration" "=file://${INST}/conf/log4j.properties"

set_option "Djava.endorsed.dirs" "=${INST}/lib/endorsed"

#
# put all jars in lib/ on the classpath
#
CP=`find "${INST}/lib" -name '*.jar' -printf ":%p"`
CP=."$CP"



#echo Reading code from $CP
