/*
 * Copyright (c) 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jun 1, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.uvos.test;

import eu.unicore.security.util.client.IAuthenticationConfiguration;
import pl.edu.icm.unicore.uvos.client.util.ConfigHelper;
import pl.edu.icm.unicore.uvos.util.Configuration;

/**
 * Utility for tests. Preconfigures itself from file, but later allows for
 * changing some values.
 * @author K. Benedyczak
 */
public class TestSecurityConfig extends ConfigHelper
{
	public boolean doHttpAuthn;
	public boolean doSSLAuthn;
	public String httpUser;
	public String httpPasswd;
	
	public TestSecurityConfig(Configuration conf)
	{
		super(conf);
		doHttpAuthn = super.doHttpAuthn();
		doSSLAuthn = super.doSSLAuthn();
		httpUser = super.getHttpUser();
		httpPasswd = super.getHttpPassword();
	}
	
	@Override
	public boolean doHttpAuthn()
	{
		return doHttpAuthn;
	}

	@Override
	public boolean doSSLAuthn()
	{
		return doSSLAuthn;
	}

	@Override
	public String getHttpPassword()
	{
		return httpPasswd;
	}

	@Override
	public String getHttpUser()
	{
		return httpUser;
	}
	
	@Override
	public IAuthenticationConfiguration clone()
	{
		TestSecurityConfig clone = new TestSecurityConfig(conf);
		clone.doHttpAuthn = doHttpAuthn;
		clone.doSSLAuthn = doSSLAuthn;
		clone.httpPasswd = httpPasswd;
		clone.httpUser = httpUser;
		return clone;
	}
}
